# $Revision: 1.11 $, $Date: 2010/07/20 09:52:00 $
#
# Conditional build:
%bcond_with	tests		# build with tests

%include	/usr/lib/rpm/macros.php
%define		_class		PHPUnit
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - regression testing framework for unit tests
Summary(pl.UTF-8):	%{_pearname} - zestaw testów regresyjnych
Name:		php-%{_pearname}
Version:	3.4.15
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
# Source0-md5:	a36105b20467aca3f815704fec440a1f
URL:		http://www.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-channel(pear.symfony-project.com)
BuildRequires:	php-pear >= 4:1.1-2
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.473
Requires:	php-common >= 4:5.1.4
Requires:	php-pear >= 4:1.1-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Image/GraphViz.*) pear(Log.*) pear(SymfonyComponents/.*) pear(XML/RPC2/Client.php)

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. It is based upon JUnit, which can be
found at <http://www.junit.org/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PHPUnit jest zestawem testów regresyjnych używanych przez developerów,
którzy implementują jednostki testowe w PHP. Jest bazowane na JUnit,
który można znaleźć pod adresem <http://www.junit.org/>.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
install -d $RPM_BUILD_ROOT%{_bindir}
install usr/bin/phpunit $RPM_BUILD_ROOT%{_bindir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/.channel.pear.phpunit.de/*.reg
%attr(755,root,root) %{_bindir}/phpunit
%{php_pear_dir}/%{_class}

%if %{with tests}
%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-PHPUnit.spec,v $
Revision 1.11  2010/07/20 09:52:00  glen
- optional deps; rel 2

Revision 1.10  2010/07/20 07:48:31  glen
- update to 3.4.15, tests disabled (not included)

Revision 1.9  2009/05/03 18:41:26  adamg
- updated to 3.3.16

Revision 1.8  2009/02/24 15:07:47  zergin
- add missing /usr/bin/phpunit (rel 2)

Revision 1.7  2009/02/24 13:26:50  zergin
- update to 3.3.14 (current stable)

Revision 1.6  2008/12/21 21:29:06  glen
- update to 3.3.8

Revision 1.5  2008/12/10 08:52:33  glen
- pear.phpunit.de channel defined in php-pear; rel 4

Revision 1.4  2008/12/09 23:19:48  glen
- channel dir moved to php-pear package; rel 3

Revision 1.3  2008/08/26 13:51:45  glen
- no %{dirname:xxx} expand in rpm 4.4.9; rel 2

Revision 1.2  2008/08/26 11:42:00  glen
- release 1

Revision 1.1  2008/08/12 17:54:57  glen
- new, based on php-pear-PHPUnit.spec
